/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailLocksmithingRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailLocksmithingRequest {
  @SerializedName("is_stolen_key")
  private Boolean isStolenKey = null;

  @SerializedName("is_lost_key")
  private Boolean isLostKey = null;

  @SerializedName("is_locksmithing_damage")
  private Boolean isLocksmithingDamage = null;

  @SerializedName("is_forced_vandalism")
  private Boolean isForcedVandalism = null;

  @SerializedName("is_covered_address")
  private Boolean isCoveredAddress = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailLocksmithingRequest isStolenKey(Boolean isStolenKey) {
    this.isStolenKey = isStolenKey;
    return this;
  }

   /**
   * Has the key been stolen?
   * @return isStolenKey
  **/
  @ApiModelProperty(example = "true", value = "Has the key been stolen?")
  public Boolean isIsStolenKey() {
    return isStolenKey;
  }

  public void setIsStolenKey(Boolean isStolenKey) {
    this.isStolenKey = isStolenKey;
  }

  public DetailLocksmithingRequest isLostKey(Boolean isLostKey) {
    this.isLostKey = isLostKey;
    return this;
  }

   /**
   * Has the key been lost?
   * @return isLostKey
  **/
  @ApiModelProperty(example = "true", value = "Has the key been lost?")
  public Boolean isIsLostKey() {
    return isLostKey;
  }

  public void setIsLostKey(Boolean isLostKey) {
    this.isLostKey = isLostKey;
  }

  public DetailLocksmithingRequest isLocksmithingDamage(Boolean isLocksmithingDamage) {
    this.isLocksmithingDamage = isLocksmithingDamage;
    return this;
  }

   /**
   * Has the lock been damaged?
   * @return isLocksmithingDamage
  **/
  @ApiModelProperty(example = "true", value = "Has the lock been damaged?")
  public Boolean isIsLocksmithingDamage() {
    return isLocksmithingDamage;
  }

  public void setIsLocksmithingDamage(Boolean isLocksmithingDamage) {
    this.isLocksmithingDamage = isLocksmithingDamage;
  }

  public DetailLocksmithingRequest isForcedVandalism(Boolean isForcedVandalism) {
    this.isForcedVandalism = isForcedVandalism;
    return this;
  }

   /**
   * Has the locksmithing been vandalised?
   * @return isForcedVandalism
  **/
  @ApiModelProperty(example = "true", value = "Has the locksmithing been vandalised?")
  public Boolean isIsForcedVandalism() {
    return isForcedVandalism;
  }

  public void setIsForcedVandalism(Boolean isForcedVandalism) {
    this.isForcedVandalism = isForcedVandalism;
  }

  public DetailLocksmithingRequest isCoveredAddress(Boolean isCoveredAddress) {
    this.isCoveredAddress = isCoveredAddress;
    return this;
  }

   /**
   * Is the address damage covered by the contract?
   * @return isCoveredAddress
  **/
  @ApiModelProperty(example = "true", value = "Is the address damage covered by the contract?")
  public Boolean isIsCoveredAddress() {
    return isCoveredAddress;
  }

  public void setIsCoveredAddress(Boolean isCoveredAddress) {
    this.isCoveredAddress = isCoveredAddress;
  }

  public DetailLocksmithingRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailLocksmithingRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailLocksmithingRequest detailLocksmithingRequest = (DetailLocksmithingRequest) o;
    return Objects.equals(this.isStolenKey, detailLocksmithingRequest.isStolenKey) &&
        Objects.equals(this.isLostKey, detailLocksmithingRequest.isLostKey) &&
        Objects.equals(this.isLocksmithingDamage, detailLocksmithingRequest.isLocksmithingDamage) &&
        Objects.equals(this.isForcedVandalism, detailLocksmithingRequest.isForcedVandalism) &&
        Objects.equals(this.isCoveredAddress, detailLocksmithingRequest.isCoveredAddress) &&
        Objects.equals(this.suggestedDecision, detailLocksmithingRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailLocksmithingRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isStolenKey, isLostKey, isLocksmithingDamage, isForcedVandalism, isCoveredAddress, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailLocksmithingRequest {\n");
    
    sb.append("    isStolenKey: ").append(toIndentedString(isStolenKey)).append("\n");
    sb.append("    isLostKey: ").append(toIndentedString(isLostKey)).append("\n");
    sb.append("    isLocksmithingDamage: ").append(toIndentedString(isLocksmithingDamage)).append("\n");
    sb.append("    isForcedVandalism: ").append(toIndentedString(isForcedVandalism)).append("\n");
    sb.append("    isCoveredAddress: ").append(toIndentedString(isCoveredAddress)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

